> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Trading Plans Sale History

> Returns the caller's executed trading-plan sale history.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-my-trading-plans-sale-history
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-my-trading-plans-sale-history:
    post:
      operationId: getMyTradingPlansSaleHistory
      summary: Get My Trading Plans Sale History
      description: |-
        Returns the caller's executed trading-plan sale history.

        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMyTradingPlansSaleHistoryRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyTradingPlansSaleHistoryResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyTradingPlansSaleHistoryRequest: {}
    GetMyTradingPlansSaleHistoryResponse:
      type: array
      items:
        type: object
        properties:
          orderID:
            type: string
          grantName:
            type: string
          grantID:
            type: string
          executionDate:
            type: string
          tokensSold:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          tokensSoldFor:
            type: string
            enum:
              - EURC
              - USDC
              - USDT
          salePrice:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          netProceeds:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        required:
          - orderID
          - grantName
          - grantID
          - executionDate
          - tokensSold
          - tokensSoldFor
          - salePrice
          - netProceeds
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
